incubator-jspwiki-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nascif Abousalh-Neto <Nascif.AbousalhN...@sas.com>
Subject Problems upgrading, 2.6 to 2.8
Date Wed, 02 Sep 2009 22:47:04 GMT
Hi,

I am trying to upgrade from 2.6 to 2.8.2; I had don’t upgrades before and usually after
some work they worked OK.

Now the wiki is not even starting, and I wonder if there wasn’t a change that made it non-backward
compatible. Here are the exceptions I am seeing at the logs:

2009-09-02 18:28:54,315 [http-80-3] FATAL com.ecyrd.jspwiki.WikiEngine  - PageProvider is
unable to list pages:
com.ecyrd.jspwiki.providers.ProviderException: Attachment disappeared while reading information:
if you did not touch the repository, there is a serious bug somewhere. Attachment = log.exe-dir,
decoded = log.exe

I looked the pages repository and I didn’t have any log.exe-dir directory. Worse, the attachments
I have there use the suffix –att, not –dir. Was there a change on how attachments are
stored? I am using a VersioningFileProvider.


The second problem is below. I don’t think I had setup any filters. Where can I check to
get more info about their configuration? Only thing close to that that I did was to remove
the comments on web.xml to enable XML-RPC and mail notification.

2009-09-02 18:28:54,315 [http-80-3] FATAL com.ecyrd.jspwiki.WikiEngine  - Failed to start
managers.
java.lang.IllegalArgumentException: Attempt to provide a null filter - this should never happen.
 Please check your configuration (or if you're a developer, check your own code.)
        at com.ecyrd.jspwiki.filters.FilterManager.addPageFilter(FilterManager.java:145)
        at com.ecyrd.jspwiki.WikiEngine.initialize(WikiEngine.java:590)
        at com.ecyrd.jspwiki.WikiEngine.<init>(WikiEngine.java:399)
        at com.ecyrd.jspwiki.WikiEngine.getInstance(WikiEngine.java:340)
        at com.ecyrd.jspwiki.ui.WikiServletFilter.init(WikiServletFilter.java:79)
        at com.ecyrd.jspwiki.ui.WikiJSPFilter.init(WikiJSPFilter.java:76)

I added my extra plugin jars to the web-inf/lib, but I made sure I didn’t replace any of
the existing JSPWiki 2.8.2 jars.

Any hint or suggestion will be greatly appreciated. We have a lot of content and I would like
to move to the latest and greatest version of JSPWiki.

Cheers,
  /Nascif


-------------------------------------------------------------------
Nascif Abousalh-Neto
Software Development Manager
Query and Reporting  ▪ Business Intelligence Clients
Tel: + 1 919 531 0123 - Nascif.AbousalhNeto@sas.com
www.sas.com
SAS® … THE POWER TO KNOW®



Mime
View raw message